version: '3'

services:
  netdata:
    image: netdata/netdata
    hostname: netdata.hatthieves.es
    container_name: netdata
    restart: always
    environment:
      - PGID=999
    cap_add:
      - SYS_PTRACE
    security_opt:
      - apparmor:unconfined
    volumes:
      - /proc:/host/proc:ro
      - /sys:/host/sys:ro
      - /var/run/docker.sock:/var/run/docker.sock:ro
    expose:
      - 19999
    networks:
      mynet:
        ipv4_address: 172.43.0.101
  
networks:
  mynet:
    driver: bridge
    ipam:
      config:
      - subnet: 172.43.0.0/24

